Adds a department. The response departmentCode is the id to use on employees and designations.
Request
Body Params application/jsonRequired
{
"departmentName": "Sales",
"externalDepartmentId": "string",
"names": [
"string"
]
}
Request Code Samples
curl --location 'https://ekpayout-uat.enkash.in/api/v0/partner/department' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
"departmentName": "Sales",
"externalDepartmentId": "string",
"names": [
"string"
]
}'
Responses
{
"response_code": 0,
"response_message": "SUCCESS",
"payload": {
"departmentCode": "string",
"departmentName": "string",
"externalDepartmentId": "string",
"status": "ACTIVE",
"subDepartments": [
"string"
],
"createdOn": "2019-08-24"
}
}
Modified at 2026-11-02 19:48:55